Subject: Re: bug#53700: Guix package is hardcoded in guix home

From: Andrew Tropin <[email-masked]>
Date: Fri, 31 Mar 2023 08:52:51 +0400

On 2022-03-02 12:06, Ludovic Courtès wrote:

> Hi,
>
> Gordon Quad <[email-masked]> skribis:
>
>> guix home uses guix package directly imported from (gnu packages
>> package-management) gnu/home/services.scm:22
>>
>> https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/home/services.scm#n22
>>
>> It looks like for now it is used only here gnu/home/services.scm:283
>>
>> https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/home/services.scm#n284
>>
>> It is quite unfortunte to see guix home to pull whole extra copy of guix
>> only to use few files to do gettext localization init.
>
> Yes, it’s a bit heavy-handed.
>
>> If would be nice to be able to customize guix package used there so I
>> can make sure guix used by guix home is the same as in my guix daemon.
>
> I’m not sure I understand.  As you write, the ‘guix’ package is used in
> (gnu home services) only to get gettext catalogs; AFAICS it’s not used
> for anything else.
>
> Could you clarify what you had in mind?

I was hit by this one yesterday as well.  I tried to manage just a few
config files with Guix Home on foreign distro, but it started to
download 46 megabytes of guix package, while I expected it to work
completely offline.

-- 
Best regards,
Andrew Tropin